<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: DataFrame Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_data_frame-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">DataFrame Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for DataFrame:</div>
<div class="dyncontent">
<div class="center"><img src="class_data_frame__coll__graph.png" border="0" usemap="#a_data_frame_coll__map" alt="Collaboration graph"/></div>
<map name="a_data_frame_coll__map" id="a_data_frame_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,101,267"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a69a9dc47b7506b8062fd34aedacbf579" id="r_a69a9dc47b7506b8062fd34aedacbf579"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a69a9dc47b7506b8062fd34aedacbf579">DataFrame</a> ()</td></tr>
<tr class="separator:a69a9dc47b7506b8062fd34aedacbf579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a937d6ba98f8e36884617ae5a27a253b6" id="r_a937d6ba98f8e36884617ae5a27a253b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a937d6ba98f8e36884617ae5a27a253b6">DataFrame</a> (const QString &amp;path)</td></tr>
<tr class="separator:a937d6ba98f8e36884617ae5a27a253b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e4518c3b74e67dd730f22cc09058c2" id="r_ab8e4518c3b74e67dd730f22cc09058c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_var_vector.html">VarVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab8e4518c3b74e67dd730f22cc09058c2">operator[]</a> (const QString &amp;s)</td></tr>
<tr class="separator:ab8e4518c3b74e67dd730f22cc09058c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac589b43ddb03a3eb978bc9a7ab2c0c71" id="r_ac589b43ddb03a3eb978bc9a7ab2c0c71"><td class="memItemLeft" align="right" valign="top">QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac589b43ddb03a3eb978bc9a7ab2c0c71">header</a> () const</td></tr>
<tr class="separator:ac589b43ddb03a3eb978bc9a7ab2c0c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb6bfb95bd7e73ac37b1691423970f3" id="r_accb6bfb95bd7e73ac37b1691423970f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#accb6bfb95bd7e73ac37b1691423970f3">push_back</a> (QString &amp;col, const QString &amp;value)</td></tr>
<tr class="separator:accb6bfb95bd7e73ac37b1691423970f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1a62b51bc39befdcc3d122d75040c2" id="r_ace1a62b51bc39befdcc3d122d75040c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_var_vector.html">VarVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ace1a62b51bc39befdcc3d122d75040c2">unique</a> (const QString &amp;column)</td></tr>
<tr class="separator:ace1a62b51bc39befdcc3d122d75040c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72375750e6c432be9502a154f3b551c3" id="r_a72375750e6c432be9502a154f3b551c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a72375750e6c432be9502a154f3b551c3">setColType</a> (QString &amp;col, <a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t)</td></tr>
<tr class="separator:a72375750e6c432be9502a154f3b551c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02b9467a5970122bfd6567d7dff75aed" id="r_a02b9467a5970122bfd6567d7dff75aed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a02b9467a5970122bfd6567d7dff75aed">colType</a> (const QString &amp;column)</td></tr>
<tr class="separator:a02b9467a5970122bfd6567d7dff75aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec731f12d8c98a5091cec6d5dedcf27" id="r_abec731f12d8c98a5091cec6d5dedcf27"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abec731f12d8c98a5091cec6d5dedcf27">count</a> (QString &amp;column, QString &amp;item)</td></tr>
<tr class="separator:abec731f12d8c98a5091cec6d5dedcf27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a752cc97c60047440045a4aee5fb52403" id="r_a752cc97c60047440045a4aee5fb52403"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a752cc97c60047440045a4aee5fb52403">filter</a> (QString &amp;column, QString &amp;item)</td></tr>
<tr class="separator:a752cc97c60047440045a4aee5fb52403"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa89012037296043886e111bf68cb40b1" id="r_aa89012037296043886e111bf68cb40b1"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; QString, <a class="el" href="class_var_vector.html">VarVector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa89012037296043886e111bf68cb40b1">_df</a></td></tr>
<tr class="separator:aa89012037296043886e111bf68cb40b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69a9dc47b7506b8062fd34aedacbf579" name="a69a9dc47b7506b8062fd34aedacbf579"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69a9dc47b7506b8062fd34aedacbf579">&#9670;&#160;</a></span>DataFrame() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataFrame::DataFrame </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a937d6ba98f8e36884617ae5a27a253b6" name="a937d6ba98f8e36884617ae5a27a253b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a937d6ba98f8e36884617ae5a27a253b6">&#9670;&#160;</a></span>DataFrame() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DataFrame::DataFrame </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>path</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a02b9467a5970122bfd6567d7dff75aed" name="a02b9467a5970122bfd6567d7dff75aed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02b9467a5970122bfd6567d7dff75aed">&#9670;&#160;</a></span>colType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> DataFrame::colType </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>column</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abec731f12d8c98a5091cec6d5dedcf27" name="abec731f12d8c98a5091cec6d5dedcf27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec731f12d8c98a5091cec6d5dedcf27">&#9670;&#160;</a></span>count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int DataFrame::count </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>column</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>item</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a752cc97c60047440045a4aee5fb52403" name="a752cc97c60047440045a4aee5fb52403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a752cc97c60047440045a4aee5fb52403">&#9670;&#160;</a></span>filter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> DataFrame::filter </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>column</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>item</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac589b43ddb03a3eb978bc9a7ab2c0c71" name="ac589b43ddb03a3eb978bc9a7ab2c0c71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac589b43ddb03a3eb978bc9a7ab2c0c71">&#9670;&#160;</a></span>header()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; QString &gt; DataFrame::header </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8e4518c3b74e67dd730f22cc09058c2" name="ab8e4518c3b74e67dd730f22cc09058c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8e4518c3b74e67dd730f22cc09058c2">&#9670;&#160;</a></span>operator[]()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_var_vector.html">VarVector</a> DataFrame::operator[] </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>s</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="accb6bfb95bd7e73ac37b1691423970f3" name="accb6bfb95bd7e73ac37b1691423970f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accb6bfb95bd7e73ac37b1691423970f3">&#9670;&#160;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DataFrame::push_back </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>col</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a72375750e6c432be9502a154f3b551c3" name="a72375750e6c432be9502a154f3b551c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72375750e6c432be9502a154f3b551c3">&#9670;&#160;</a></span>setColType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DataFrame::setColType </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>col</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ace1a62b51bc39befdcc3d122d75040c2" name="ace1a62b51bc39befdcc3d122d75040c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace1a62b51bc39befdcc3d122d75040c2">&#9670;&#160;</a></span>unique()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_var_vector.html">VarVector</a> DataFrame::unique </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>column</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa89012037296043886e111bf68cb40b1" name="aa89012037296043886e111bf68cb40b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa89012037296043886e111bf68cb40b1">&#9670;&#160;</a></span>_df</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;QString, <a class="el" href="class_var_vector.html">VarVector</a>&gt; DataFrame::_df</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="dataframe_8h_source.html">dataframe.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="src_2dataframe_8cpp.html">dataframe.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
